Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.impl
Class DynamicTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.DynaTagSupport
              org.apache.commons.jelly.impl.DynamicTag

All Implemented Interfaces:
  DynaTag, Tag

    public class DynamicTag

extends DynaTagSupport

`DynamicTag` is a tag that is created from inside a Jelly script as a Jelly template and will invoke a given script, passing in its instantiation attributes as variables and will allow the template to invoke its instance body.

Version:
  $Revision: 155420 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`DynamicTag()`
`DynamicTag(Script template)`

Method Summary
`void` | `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`Script` | `getTemplate()` The template to be executed by this tag which may well invoke this instances body from inside the template
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Sets an attribute value of this tag before the tag is invoked
`void` | `setTemplate(Script template)`

Methods inherited from class org.apache.commons.jelly.DynaTagSupport
`getAttributeType`

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.jelly.Tag
`getBody, getContext, getParent, invokeBody, setBody, setContext, setParent`

Constructor Detail

### DynamicTag

    public DynamicTag()

### DynamicTag

    public DynamicTag(Script template)

Method Detail

### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

  Description copied from interface: `Tag`
  Evaluates this tag after all the tags properties have been initialized.

  Throws:
    `JellyTagException`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Description copied from interface: `DynaTag`
  Sets an attribute value of this tag before the tag is invoked

### getTemplate

    public Script getTemplate()

  The template to be executed by this tag which may well invoke this instances body from inside the template

### setTemplate

    public void setTemplate(Script template)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.